Safe to update to Rock Band Firmware

Discussion in 'Wii - Console and Game Discussions' started by Thanatos19, Jul 31, 2008.

  1. Thanatos19
    OP

    Thanatos19 Member

    Newcomer
    12
    0
    Jun 21, 2007
    Canada
    Is it safe to update to the Rock Band Firmware?I just got it and am a little behind on firmwares so it is safe to update with a Wiikey?
     
  2. noONE

    noONE ~~~~~~~~~~~~

    Member
    968
    0
    May 24, 2007
    Linköping/Norrköping, Sweden.
    As long as it is the same region as your Wii, there will NEVER be any problem (blocking of trucha signed discs, freeloader + some other minor stuff has happened this far, though,they can be accessed by other means) until nintendo puts out some specific fix for something that you want to keep.
    as it is now, the only problem would be if you don't want a newer firmware..
     
  3. Hooya

    Hooya GBAtemp Advanced Maniac

    Member
    1,878
    0
    Aug 25, 2006
    United States
    Central Illinois
    Well, does the Rockband update go to 3.3 or not? If so it kills trucha, which might be something this guy might want to keep.
     
  4. grentuu

    grentuu GBAtemp Regular

    Member
    146
    0
    Aug 11, 2007
    OK. I have a pal 3.3e with 1.9s wiikey. Yes thats 3.3

    You do need to read around on the forum. I bought a US version of Rockband (from the US) for use in the UK. The box was delivered, set up and the first thing the disc asked for was to update.

    Being an NTSC disc on a pal wii I declined. The problem was neither the guitar or the drums would sync up. After trying every method found on line I d/l'ed a version of rockband. ran it through brickblocker and regionfrii and burned at 4* with Nero.

    The game Picked up the guitar and drums immediately and despite all the negative crap you read it plays like a dream. Btw the way I have d/l'ed track pack Vol1 and that works too!

    {Quote} Well, does the Rockband update go to 3.3 or not? If so it kills trucha, which might be something this guy might want to keep.

    I have homebrew channel installed and even with 3.3 installed all my GH3 custom trucha discs work!
     
  5. vv_

    vv_ Advanced Member

    Newcomer
    72
    0
    Jan 29, 2008
    France
    If you look at the update partition. you can see that it's a 3.1U firmware with just IOS37 in addition.
    All the 3.1U wads are unmodified, only IOS37 is added.

    And the game requires IOS37 to run.
    I've successfully launched it under 3.2E (a brickblocked iso, because IOS37 is already installed on my Wii).

    And after that, my Trucha games are still alive via the Wii menu. [​IMG]

    Edit
    Downgraded to IOS36 with IOS Patcher : game works (via GeckoOS).